gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.WindowAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype WindowAccessible = WindowAccessible (ManagedPtr WindowAccessible)
- class (GObject o, IsDescendantOf WindowAccessible o) => IsWindowAccessible o
- toWindowAccessible :: (MonadIO m, IsWindowAccessible o) => o -> m WindowAccessible

# Exported types

newtype WindowAccessible Source #

Memory-managed wrapper type.

Constructors

WindowAccessible (ManagedPtr WindowAccessible) |

#### Instances

Instances details

Eq WindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible Methods (==) :: WindowAccessible -> WindowAccessible -> Bool Source # (/=) :: WindowAccessible -> WindowAccessible -> Bool Source #
GObject WindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible
ManagedPtrNewtype WindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible Methods toManagedPtr :: WindowAccessible -> ManagedPtr WindowAccessible Source #
TypedObject WindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible Methods glibType :: IO GType Source #
HasParentTypes WindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible
IsGValue (Maybe WindowAccessible) Source # | Convert `WindowAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.WindowAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe WindowAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe WindowAccessible) Source #
type ParentTypes WindowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible type ParentTypes WindowAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Window]

class (GObject o, IsDescendantOf WindowAccessible o) => IsWindowAccessible o Source #

Type class for types which can be safely cast to `WindowAccessible`, for instance with `toWindowAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf WindowAccessible o) => IsWindowAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.WindowAccessible

toWindowAccessible :: (MonadIO m, IsWindowAccessible o) => o -> m WindowAccessible Source #

Cast to `WindowAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.